XmTextFieldGetString(library call)

NAME
XmTextFieldGetString — A TextField function that accesses the string value

SYNOPSIS

#include <Xm/TextF.h>
char * XmTextFieldGetString(
Widget widget);

DESCRIPTION

XmTextFieldGetString accesses the string value of the TextField widget. The application is responsible for freeing the storage associated with the string by calling XtFree.

widget
    Specifies the TextField widget ID

For a complete definition of TextField and its associated resources, see XmTextField(3).

RETURN

Returns a character pointer to the string value of the TextField widget. This returned value is a copy of the value of the XmNvalue resource. Returns an empty string if the length of the TextField widget's string is 0 (zero).

RELATED

XmTextField(3) and XmTextFieldGetStringWcs(3).